### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Enums.CacheEnum.EntityType
  commentId: T:adas_core.Domain.Enums.CacheEnum.EntityType
  id: CacheEnum.EntityType
  parent: adas_core.Domain.Enums
  children:
  - adas_core.Domain.Enums.CacheEnum.EntityType.Appointments
  - adas_core.Domain.Enums.CacheEnum.EntityType.ConfigObservations
  - adas_core.Domain.Enums.CacheEnum.EntityType.Displays
  - adas_core.Domain.Enums.CacheEnum.EntityType.GroupedObservations
  - adas_core.Domain.Enums.CacheEnum.EntityType.PatientObservations
  - adas_core.Domain.Enums.CacheEnum.EntityType.Patients
  - adas_core.Domain.Enums.CacheEnum.EntityType.PontOfCare
  - adas_core.Domain.Enums.CacheEnum.EntityType.PumpObservations
  - adas_core.Domain.Enums.CacheEnum.EntityType.Unknown
  langs:
  - csharp
  - vb
  name: CacheEnum.EntityType
  nameWithType: CacheEnum.EntityType
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType
  type: Enum
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: EntityType
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 16
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: public enum CacheEnum.EntityType
    content.vb: Public Enum CacheEnum.EntityType
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.Unknown
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.Unknown
  id: Unknown
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: Unknown
  nameWithType: CacheEnum.EntityType.Unknown
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.Unknown
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Unknown
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 18
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Unknown = 0
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.Patients
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.Patients
  id: Patients
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: Patients
  nameWithType: CacheEnum.EntityType.Patients
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.Patients
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Patients
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 19
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Patients = 1
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.Displays
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.Displays
  id: Displays
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: Displays
  nameWithType: CacheEnum.EntityType.Displays
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.Displays
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Displays
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 20
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Displays = 2
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.PumpObservations
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.PumpObservations
  id: PumpObservations
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: PumpObservations
  nameWithType: CacheEnum.EntityType.PumpObservations
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.PumpObservations
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PumpObservations
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 21
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: PumpObservations = 3
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.Appointments
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.Appointments
  id: Appointments
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: Appointments
  nameWithType: CacheEnum.EntityType.Appointments
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.Appointments
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Appointments
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 22
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Appointments = 4
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.PontOfCare
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.PontOfCare
  id: PontOfCare
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: PontOfCare
  nameWithType: CacheEnum.EntityType.PontOfCare
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.PontOfCare
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PontOfCare
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 23
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: PontOfCare = 5
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.GroupedObservations
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.GroupedObservations
  id: GroupedObservations
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: GroupedObservations
  nameWithType: CacheEnum.EntityType.GroupedObservations
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.GroupedObservations
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GroupedObservations
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 24
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: GroupedObservations = 6
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.PatientObservations
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.PatientObservations
  id: PatientObservations
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: PatientObservations
  nameWithType: CacheEnum.EntityType.PatientObservations
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.PatientObservations
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PatientObservations
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 25
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: PatientObservations = 7
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
- uid: adas_core.Domain.Enums.CacheEnum.EntityType.ConfigObservations
  commentId: F:adas_core.Domain.Enums.CacheEnum.EntityType.ConfigObservations
  id: ConfigObservations
  parent: adas_core.Domain.Enums.CacheEnum.EntityType
  langs:
  - csharp
  - vb
  name: ConfigObservations
  nameWithType: CacheEnum.EntityType.ConfigObservations
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType.ConfigObservations
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/CacheEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: ConfigObservations
    path: ../../adas-core.Domain/Enums/CacheEnum.cs
    startLine: 26
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: ConfigObservations = 8
    return:
      type: adas_core.Domain.Enums.CacheEnum.EntityType
references:
- uid: adas_core.Domain.Enums
  commentId: N:adas_core.Domain.Enums
  href: adas_core.html
  name: adas_core.Domain.Enums
  nameWithType: adas_core.Domain.Enums
  fullName: adas_core.Domain.Enums
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Enums.CacheEnum.EntityType
  commentId: T:adas_core.Domain.Enums.CacheEnum.EntityType
  parent: adas_core.Domain.Enums
  href: adas_core.Domain.Enums.CacheEnum.html
  name: CacheEnum.EntityType
  nameWithType: CacheEnum.EntityType
  fullName: adas_core.Domain.Enums.CacheEnum.EntityType
  spec.csharp:
  - uid: adas_core.Domain.Enums.CacheEnum
    name: CacheEnum
    href: adas_core.Domain.Enums.CacheEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.CacheEnum.EntityType
    name: EntityType
    href: adas_core.Domain.Enums.CacheEnum.EntityType.html
  spec.vb:
  - uid: adas_core.Domain.Enums.CacheEnum
    name: CacheEnum
    href: adas_core.Domain.Enums.CacheEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.CacheEnum.EntityType
    name: EntityType
    href: adas_core.Domain.Enums.CacheEnum.EntityType.html
